Ubuntu – Eclipse can’t find JDK 7

eclipsejavajdk

I've got Oracle JDK 7 installed javac -version yields

javac 1.7.0

and the JRE is installed and enabled in Eclipse > Preferences > Installed JREs (As location: /usr/lib/jvm/jdk1.7.0)

But trying to change Preferences > Compiler > Compiler Compliance Level shows no options above 1.6.0

I'm a novice to ubuntu… Does anyone have any ideas what I've got wrong? I followed the instructions from How do I install Oracle Java JDK 7?

Screenshot of eclipse.ini and /usr/lib/jvm/jdk1.7.0:

http://dl.dropbox.com/u/10919879/Screenshot.png

Best Answer

  • You have to edit your eclipse.ini file and have to specify your jvm path at there. Read this link http://wiki.eclipse.org/Eclipse.ini. It will help you.

  • Related Question